%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name testpack
%define f_pkg_name testpack
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 1.0.2
Release: alt1
License: LGPL
Packager: Maxim Ivanov <redbaron@altlinux.org>
Group: Development/Haskell
URL: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/testpack
Source: %h_pkg_name-%version.tar
Summary: A unit testing framework for Haskell
BuildRequires: ghc haddock %hs_package_dependencies HUnit QuickCheck mtl
BuildRequires(pre): rpm-build-haskell


%description
HUnit is a unit testing framework for Haskell, inspired by the
JUnit tool for Java.


%prep
%setup -n %h_pkg_name-%version


%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
runghc Setup configure --prefix=%_prefix --libdir=%_libdir --docdir=%_docdir/%hsc_namever-%f_pkg_name-%version --libsubdir='$compiler/lib/$pkgid' --disable-library-profiling --ghc
if runghc Setup makefile -f cabal-rpm.mk
then
   %make_build -f cabal-rpm.mk || :
fi
runghc Setup build
runghc Setup haddock || :
runghc Setup register --gen-pkg-config=%f_pkg_name.pkg


%install
runghc Setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
%hs_package_register %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name.conf

cd %buildroot
find .%pkg_libdir \( -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.prof
find .%pkg_libdir -type d | sed 's/^./%dir /' >> %_builddir/%{?buildsubdir}/%name-files.nonprof
find .%pkg_libdir ! \( -type d -o -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.nonprof
sed 's,^/,%exclude /,' %_builddir/%{?buildsubdir}/%name-files.prof >> %_builddir/%{?buildsubdir}/%name-files.nonprof

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name.conf
%doc dist/doc/html


%changelog
* Mon May 25 2009 Ivanov Maxim <redbaron@altlinux.org> 1.0.2-alt1
- Initial build for ALTLinux

